package wizard

import (
	"fmt"

	tea "github.com/charmbracelet/bubbletea"
)

// Run 启动初始化向导
func Run(force bool) error {

	// 创建程序实例
	p := tea.NewProgram(initialModel())

	// 运行程序
	if _, err := p.Run(); err != nil {
		return fmt.Errorf("初始化向导运行失败：%w", err)
	}

	return nil
}
